{
  stdenv, lib
, fetchFromGitHub
, meson, cmake, ninja, pkg-config
, inih, systemd
}:

stdenv.mkDerivation rec {
  pname = "iptsd";
  version = "0.4";

  src = fetchFromGitHub {
    owner = "linux-surface";
    repo = pname;
    rev = "v${version}";
    sha256 = "0bh7rr37yck82g41dw2xcfkmyp1ncd27n1slb8xlknp7vs9f10qa";
  };

  mesonFlags = [
    "-Dsample_config=false"
    "-Ddebug_tool=false"
  ];
  
  patches = [
    ./meson.patch
  ];

  postPatch = ''
    sed -e "s|@UDEVRULESDIR@|$out/lib/udev/rules.d/|" --in-place meson.build
  '';
  
  nativeBuildInputs = [ meson cmake ninja pkg-config ];
  buildInputs = [ inih systemd ];

  meta = with lib; {
    homepage = "https://github.com/linux-surface/iptsd";
    description = "Userspace daemon for Intel Precise Touch & Stylus";
    license = licenses.gpl2;
    maintainers = [];
    platforms = platforms.linux;
  };
}
